org.apache.ignite.internal.processors.continuous

## Class GridContinuousMessage

- java.lang.Object
- - org.apache.ignite.internal.processors.continuous.GridContinuousMessage

All Implemented Interfaces:
  Serializable, Message

    public class GridContinuousMessage
    extends Object
    implements Message

Continuous processor message.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`GridContinuousMessage()` Required by `Externalizable`.

### Method Summary

Methods
`<T> T` `data()`
`void` `data(Object data)`
`byte[]` `dataBytes()`
`void` `dataBytes(byte[] dataBytes)`
`byte` `directType()` Gets message type.
`byte` `fieldsCount()` Gets fields count.
`IgniteUuid` `futureId()`
`boolean` `messages()`
`boolean` `readFrom(ByteBuffer buf, MessageReader reader)` Reads this message from provided byte buffer.
`UUID` `routineId()`
`String` `toString()`
`org.apache.ignite.internal.processors.continuous.GridContinuousMessageType` `type()`
`boolean` `writeTo(ByteBuffer buf, MessageWriter writer)` Writes this message to provided byte buffer.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridContinuousMessage

    public GridContinuousMessage()

Required by `Externalizable`.

### Method Detail

#### type

    public org.apache.ignite.internal.processors.continuous.GridContinuousMessageType type()

Returns:
  Message type.

#### routineId

    public UUID routineId()

Returns:
  Consume ID.

#### messages

    public boolean messages()

Returns:
  `True` is data is collection of messages.

#### data

    public <T> T data()

Returns:
  Message data.

#### data

    public void data(Object data)

Parameters:
  `data` - Message data.

#### dataBytes

    public byte[] dataBytes()

Returns:
  Serialized message data.

#### dataBytes

    public void dataBytes(byte[] dataBytes)

Parameters:
  `dataBytes` - Serialized message data.

#### futureId

    @Nullable
    public IgniteUuid futureId()

Returns:
  Future ID for synchronous event notification.

#### writeTo

    public boolean writeTo(ByteBuffer buf,
                  MessageWriter writer)

Writes this message to provided byte buffer.

Specified by:
  `writeTo` in interface `Message`
Parameters:
  `buf` - Byte buffer.
  `writer` - Writer.
Returns:
  Whether message was fully written.

#### readFrom

    public boolean readFrom(ByteBuffer buf,
                   MessageReader reader)

Reads this message from provided byte buffer.

Specified by:
  `readFrom` in interface `Message`
Parameters:
  `buf` - Byte buffer.
  `reader` - Reader.
Returns:
  Whether message was fully read.

#### directType

    public byte directType()

Gets message type.

Specified by:
  `directType` in interface `Message`
Returns:
  Message type.

#### fieldsCount

    public byte fieldsCount()

Gets fields count.

Specified by:
  `fieldsCount` in interface `Message`
Returns:
  Fields count.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.3.0-incubating
Release Date | : July 10 2015